#ifndef _JOY_H_
#define _JOY_H_

int  JOY0_Open(UINT32 *joy);
int  JOY0_InitHeader(char *buf);
void JOY0_Close();
void JOY0_Vibrate(int motor);
void JOY0_Poll();
int  JOY0_Configure(UINT32 *par);
void JOY0_About(UINT32 *par);

int  JOY1_Open(UINT32 *joy);
int  JOY1_InitHeader(char *buf);
void JOY1_Close();
void JOY1_Vibrate(int motor);
void JOY1_Poll();
int  JOY1_Configure(UINT32 *par);
void JOY1_About(UINT32 *par);

#if defined(__PSX_PAD_0__)
#define JOY_OPEN        JOY0_Open
#define JOY_INIT        JOY0_InitHeader
#define JOY_CLOSE       JOY0_Close
#define JOY_VIBRATE     JOY0_Vibrate
#define JOY_POLL        JOY0_Poll
#define JOY_CONFIG      JOY0_Configure
#define JOY_ABOUT       JOY0_About
#elif defined(__PSX_PAD_1__)
#define JOY_OPEN        JOY1_Open
#define JOY_INIT        JOY1_InitHeader
#define JOY_CLOSE       JOY1_Close
#define JOY_VIBRATE     JOY1_Vibrate
#define JOY_POLL        JOY1_Poll
#define JOY_CONFIG      JOY1_Configure
#define JOY_ABOUT       JOY1_About
#else
#error No PAD Selected during compile
#endif

#endif
